const filters = require("./filters");
const {shortcodes, pairedShortcodes} = require("./shortcodes");

module.exports = (eleventyConfig, options = {}) => {
  Object.keys(filters).forEach((filterName) => {
    eleventyConfig.addFilter(filterName, filters[filterName]);
  })

  Object.keys(shortcodes).forEach((shortcodeName) => {
    eleventyConfig.addShortcode(shortcodeName, shortcodes[shortcodeName]);
  })

  Object.keys(pairedShortcodes).forEach((shortcodeName) => {
    eleventyConfig.addPairedShortcode(shortcodeName, pairedShortcodes[shortcodeName]);
  })
}